Package de.willuhn.jameica.hbci.gui.input

# Class StoreAddressInput

java.lang.Object
de.willuhn.jameica.gui.input.AbstractInput
de.willuhn.jameica.gui.input.CheckboxInput
de.willuhn.jameica.hbci.gui.input.StoreAddressInput

All Implemented Interfaces:
  `de.willuhn.jameica.gui.input.Input`, `de.willuhn.jameica.gui.Part`

public class StoreAddressInput extends de.willuhn.jameica.gui.input.CheckboxInput
Vorkonfigurierte Checkbox für die Option "In Adressbuch übernehmen".

## Field Summary

### Fields inherited from interface de.willuhn.jameica.gui.input.Input

`DATAKEY_TOOLTIP`

## Constructor Summary

Constructors
Constructor
Description
`StoreAddressInput(Object t)`
ct.

## Method Summary

### Methods inherited from class de.willuhn.jameica.gui.input.CheckboxInput

`addListener, disable, enable, focus, getControl, getValue, isEnabled, setEnabled, setName, setValue, update`

### Methods inherited from class de.willuhn.jameica.gui.input.AbstractInput

`addListener, getData, getName, getParent, getStyleBits, hasChanged, isMandatory, paint, paint, setComment, setData, setInvalidChars, setMandatory, setValidChars`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StoreAddressInput

public StoreAddressInput(Object t)
ct.

Parameters:
  `t` - der Auftrag.